Index: Kconfig
===================================================================
--- Kconfig	(revision 107)
+++ Kconfig	(working copy)
@@ -88,6 +88,10 @@
 config BOARD_HP_DL165_G6
 	bool "HP DL165 G6"
 
+config BOARD_EVGA_NFORCE_780I
+        bool "EVGA nForce 780i"
+        select MCP55_ROMSTRAP
+
 endchoice
 
 config BOARD_INIT
@@ -110,6 +114,7 @@
  	default "tyan_s2895.c" if BOARD_TYAN_S2895
  	default "tyan_s2912.c" if BOARD_TYAN_S2912
 	default "hp_dl165_g6.c" if BOARD_HP_DL165_G6
+        default "evga_nforce-780i.c" if BOARD_EVGA_NFORCE_780I
 choice
 	prompt "Target communication"
 
Index: mainboard/evga_nforce-780i.c
===================================================================
--- mainboard/evga_nforce-780i.c	(revision 0)
+++ mainboard/evga_nforce-780i.c	(revision 0)
@@ -0,0 +1,68 @@
+/*
+ * SerialICE 
+ *
+ * Copyright (C) 2010 Brandon Dowdy <brandonrd7@gmail.com>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; version 2 of the License.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ */
+/* based on the Tyan S2912 code. */
+
+const char boardname[33]="EVGA nForce 780i                ";
+
+#define SUPERIO_CONFIG_PORT	0x2e
+#define W83627DHG_SP1            2
+
+static void superio_init(void)
+{
+	int i;
+	pnp_enter_ext_func_mode(SUPERIO_CONFIG_PORT);
+
+	/* Enable the serial port. */
+	pnp_set_logical_device(SUPERIO_CONFIG_PORT, W83627DHG_SP1); /* COM1 */
+	pnp_set_enable(SUPERIO_CONFIG_PORT, 0);
+	pnp_set_iobase0(SUPERIO_CONFIG_PORT, 0x3f8);
+	pnp_set_irq0(SUPERIO_CONFIG_PORT, 4);
+	pnp_set_enable(SUPERIO_CONFIG_PORT, 1);
+
+	pnp_exit_ext_func_mode(SUPERIO_CONFIG_PORT);
+}
+
+static void chipset_init(void)
+{
+        superio_init();
+
+        __asm__ __volatile__("\
+        jmp skip\n\
+        .align 128\n\
+        .globl mcp55_romstrap\n\
+        mcp55_romstrap:\n\
+        .long 0x2b16d065\n\
+	.long 0x0\n\
+	.long 0x0\n\
+	.long linkedlist\n\
+        linkedlist:\n\
+	.long 0x0003001C			// 10h\n\
+	.long 0x08000000			// 14h\n\
+	.long 0x00000000			// 18h\n\
+	.long 0xFFFFFFFF			// 1Ch\n\
+        .long 0xFFFFFFFF			// 20h\n\
+	.long 0xFFFFFFFF			// 24h\n\
+	.long 0xFFFFFFFF			// 28h\n\
+	.long 0xFFFFFFFF			// 2Ch\n\
+        .long 0x81543266			// 30h, MAC address low 4 byte ---> keep it in 0xffffffd0\n\
+	.long 0x000000E0			// 34h, MAC address high 4 byte\n\
+        .long 0x002309CE			// 38h, UUID low 4 byte\n\
+	.long 0x00E08100			// 3Ch, UUID high 4 byte\n\
+        skip:\n");
+}

Signed-off-by: Brandon Dowdy <brandonrd7@gmail.com>